Class | Spec::Runner::Heckler
In: | lib/spec/runner/heckle_runner.rb
Parent: | (Heckle.const_defined?(:Base) ? Heckle::Base : Heckle)

Supports Heckle 1.2 and prior (earlier versions used Heckle::Base)

### Methods

new tests_pass?

### Public Class methods

new(klass_name, method_name, rspec_options)

[Source]

        # File lib/spec/runner/heckle_runner.rb, line 60
    60:       def initialize(klass_name, method_name, rspec_options)
    61:         super(klass_name, method_name)
    62:         @rspec_options = rspec_options
    63:       end

### Public Instance methods

tests_pass?()

[Source]

        # File lib/spec/runner/heckle_runner.rb, line 65
    65:       def tests_pass?
    66:         success = @rspec_options.run_examples
    67:         success
    68:       end

[Validate]